﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Windows.Forms;
using HeuristicLab.Hive.Server.DataAccess;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.Hive.Server.Core {
  [Application("Create Hive-3.3 Database", "Creates new empty Hive Database.", true)]
  class CreateHiveDatabaseApplication : ApplicationBase {

    public override void Run() {
      IContextFactory contextFactory = ServiceLocator.GetContextFactory();
      using (contextFactory.GetContext(false)) {
        if (contextFactory.CurrentContext.DatabaseExists())
          contextFactory.CurrentContext.DeleteDatabase();
        contextFactory.CurrentContext.CreateDatabase();
        MessageBox.Show("Creating Database finished.");
      }
    }
  }

  [Application("Test something")]
  class TestApplication : ApplicationBase {

    public override void Run() {
      IContextFactory contextFactory = ServiceLocator.GetContextFactory();
      using (contextFactory.GetContext(false)) {
        var job = DaoLocator.JobDao.FindWithLimitations(Contracts.BusinessObjects.JobState.Offline, 0, 1);

        var jobs = DaoLocator.JobDao.FindAll();

      }
    }
  }
}
